Subject: bug#402 closed by Chong Yidong <[email-masked]> (Re: Font pixel size selection)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the gnu emacs package:

#402: 23.0.60; GTK style font selection interferes with Fontconfig style font selection

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
402: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=402
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sun Jun 15 19:01:44 2008
From: Chong Yidong <[email-masked]>
To: James Cloos <[email-masked]>
Cc: "Yuan MEI" <[email-masked]>, [email-masked],
        [email-masked]
Subject: Re: Font pixel size selection
Date: Sun, 15 Jun 2008 22:01:36 -0400

James Cloos <[email-masked]> writes:

> Yuan> I think the only problem here is :pixelsize=14
> Yuan> Fontconfig has the format:
>
> Yuan> <families>-<point sizes>:<name1>=<values1>:<name2>=<values2>
>
> The -<pointsize> part is optional; the comment and the code in font.c
> acknowledge that fact.  But it clearly doesn't work.

I've checked in a fix.  I believe this should work correctly now.

Thanks.

>From [email-masked] Thu Jun 12 14:35:13 2008
From: James Cloos <[email-masked]>
To: [email-masked]
Subject: 23.0.60; GTK style font selection interferes with Fontconfig style font selection
Copyright: Copyright 2007 James Cloos
OpenPGP: ED7DAEA6; url=http://jhcloos.com/public_key/0xED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Thu, 12 Jun 2008 17:34:26 -0400
Lines: 88

Package: GNU Emacs
Version: 23.0.60

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Last night’s CVS uses the wrong font size when given a resource like:

  emacs.font: DejaVu Sans Mono:pixelsize=14:minspace=true

which is the correct way to specify a fontconfig pattern with a specific
pixelsize.

I presume the GTK vs Fontconfig code assumes there must be a
(name)-(ptsize) sequence in a fontconfig pattern, but ptsize is optional
and is normally absent when specifying a pixelsize.

With the above resource I get a tiny font.  Leaving off the
minspace=true results in a huge font.

I had to used xfd(1x) to figure out the equiv point size (7.4) and
change my Xdefaults to use that for now, but I strongly perfer to
specify an explicit pixelsize for text editors, terminals and other
UI usages, leaving points for documents.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2008-06-12 on lugabout
Windowing system distributor `The X.Org Foundation', version 11.0.10599001
configured using `configure  '--prefix=/usr' '--host=i686-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--without-carbon' '--with-sound' '--with-x' '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--enable-font-backend' '--with-freetype' '--with-xft' '--with-libotf' '--with-m17n-flt' '--with-x-toolkit=athena' '--without-hesiod' '--with-kerberos' '--with-kerberos5' '--with-gpm' '--with-dbus' '--build=i686-pc-linux-gnu' 'build_alias=i686-pc-linux-gnu' 'host_alias=i686-pc-linux-gnu' 'CC=i686-pc-linux-gnu-gcc' 'CFLAGS=-march=pentium3 -O2 -Wno-error' 'LDFLAGS= -Wl,--as-needed ''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
M-x r e <tab> p <tab> o <tab> <tab> r <tab> <tab> C-g 
C-h a r e p o r t <return> M-x d e b b <tab> <retu
rn>

Recent messages:
Loading /usr/share/emacs/site-lisp/site-gentoo.d/70ngnus-gentoo.el (source)...done
Loading /usr/share/emacs/site-lisp/site-gentoo.d/70svn-gentoo.el (source)...done
Loading /usr/share/emacs/site-lisp/70xrdb-mode-gentoo.el (source)...done
Loading delsel...done
Loading time...done
Loading paren...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [3 times]
Quit
Type C-x 1 to remove help window.